<?php
/*
	Stempora Web Framework
	Copyright (c) 2002-2016 Stempora. 
	All rights reserved.
		web:  www.stempora.com
		mail: support@stempora.com		
*/

// dependencies

if (is_array($_USER) && count($_USER)) {

	$_USER["str_user_log_last_login"] = date("m/d/Y g:i a" , $_USER["user_log_last_login"]);
	
	global $site , $_MODULES;

	if ($site->vars->data["set_multilanguage"] && $site->vars->data["set_language"]) {
		$_USER["home"] = "../" . $site->vars->data["set_language"] . "/";
	} else {
		$_USER["home"] = "../" ;
	}
	
	$_TSM["MINIBASE.WELCOME"] = $this->templates["user"]->Replace($_USER);

	//show the main
	if (!$_GET["mod"] && $_TSM["PB_EVENTS"]) {
		$_TSM["PB_EVENTS"] = $this->templates["welcome"]->ReplaceSingle("content" , $_TSM["PB_EVENTS"]);
	}
	
} else
	$_TSM["MINIBASE.WELCOME"] = "";



$_TSM["PUB:USER_FIRST_NAME"] = $_USER["user_first_name"];
$_TSM["PUB:USER_LAST_NAME"] = $_USER["user_last_name"];
?>